# Retrieve a revenue event This REST API reference describes how to get revenue event details by specifying the revenue event number. Request and response field descriptions and sample code are provided. Endpoint: GET /v1/revenue-events/{event-number} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Path parameters: - `event-number` (string, required) The number associated with the revenue event. ## Response 200 fields (application/json): - `accountId` (string) An account ID. - `createdOn` (string) The date when the record was created in YYYY-MM-DD HH:MM:SS format. - `currency` (string) The type of currency used. - `eventType` (string) Label of the revenue event type. Revenue event type labels can be duplicated. You can configure your revenue event type labels by navigating to Settings > Finance > Configure Revenue Event Types in the Zuora UI. Note that Credit Memo Posted and Debit Memo Posted are only available if you enable the Invoice Settlement feature. Enum: "Invoice Posted", "Invoice Item Adjustment Created", "Invoice Canceled", "Invoice Item Adjustment Canceled", "Revenue Distributed", "Credit Memo Posted", "Debit Memo Posted" - `notes` (string) Additional information about this record. - `number` (string) The revenue event number created when a revenue event occurs. - `recognitionEnd` (string) The end date of a recognition period in YYYY-MM-DD format. The maximum difference of the recognitionStart and recognitionEnd date fields is equal to 250 multiplied by the length of an accounting period. - `recognitionStart` (string) The start date of a recognition period in YYYY-MM-DD format. - `revenueItems` (array) Revenue items are listed in ascending order by the accounting period start date. - `revenueItems.accountingPeriodEndDate` (string) The accounting period end date. The accounting period end date of the open-ended accounting period is null. - `revenueItems.accountingPeriodName` (string) Name of the accounting period. The open-ended accounting period is named Open-Ended. - `revenueItems.accountingPeriodStartDate` (string) The accounting period start date. - `revenueItems.amount` (string) The revenue schedule amount, which is the sum of all revenue items. This field cannot be null and must be formatted based on the currency, such as JPY 30 or USD 30.15. Test out the currency to ensure you are using the proper formatting otherwise, the response will fail and this error message is returned: Allocation amount with wrong decimal places. - `revenueItems.isAccountingPeriodClosed` (boolean) Indicates if the accounting period is closed or open. - `subscriptionChargeId` (string) The original subscription charge ID. - `subscriptionId` (string) The original subscription ID. - `success` (boolean) Returns true if the request was processed successfully.